package com.persagy.server.syn.services.jms.rel

import com.persagy.database.SFilter
import com.persagy.mybatis.SMybatisDao
import com.persagy.server.datacenter.models.entities.dictnew.DictProject
import com.persagy.server.datacenter.models.jms.SynchronousMessageRel
import com.persagy.server.syn.Configure
import com.persagy.server.syn.models.api.obj.EquipApi
import com.persagy.service.SObjectService
import org.springframework.stereotype.Service

/**
 * 设备所在的业务空间
 */
@Service
class EquipinSpaceSync {

    /** 缓存对象数据服务 - 数据中心到数据中台  */
    var synchronousMessageRelService = SObjectService(SMybatisDao(SynchronousMessageRel::class.java))
    /** 项目所属的集团 */
    private val dictProjectService = SObjectService(SMybatisDao(DictProject::class.java))
    /**
     * 创建关系
     */
    fun equipInSpaceCreate(synchronousMessageRel: SynchronousMessageRel){
        try {
            val dictProject = dictProjectService.select(SFilter.eq("id", synchronousMessageRel.projectId!!)).entity()
            if (dictProject!=null) {
                synchronousMessageRel.sign = 0
                /** 关系列表 */
                val toJsonObjArray =
                        Configure.toJsonObjArray("MechInArch", "Eq2Sp", synchronousMessageRel.fromId!!, synchronousMessageRel.toId!!)

                val createRel = EquipApi.createRel(dictProject.groupCode!!, synchronousMessageRel.projectId!!, toJsonObjArray)
                if (!createRel ){
                    synchronousMessageRel.sign = 2
                }
            } else {
                synchronousMessageRel.sign = 2
            }
            /** 更改标记 */
            synchronousMessageRelService.update(synchronousMessageRel, arrayListOf("sign"))
        } catch (e: Exception) {
            e.printStackTrace()
        }
    }



}